package com.bankaudit.template.model;

import javax.persistence.Column;

import org.hibernate.annotations.Immutable;

@Immutable
public class FileUploadTemplateV {

	@Column(name="column_name")
	private	String columnName;
	
	@Column(name="data_type")
	private	String dataType;
	
	@Column(name="col_length")
	private	String colLength;
	
	@Column(name="is_nullable")
	private	String isNullable;

	public String getColumnName() {
		return columnName;
	}
	public void setColumnName(String columnName) {
		this.columnName = columnName;
	}
	public String getDataType() {
		return dataType;
	}
	public void setDataType(String dataType) {
		this.dataType = dataType;
	}
	public String getColLength() {
		return colLength;
	}
	public void setColLength(String colLength) {
		this.colLength = colLength;
	}
	public String getIsNullable() {
		return isNullable;
	}
	public void setIsNullable(String isNullable) {
		this.isNullable = isNullable;
	}
	
	
	@Override
	public String toString() {
		return "FileUploadTemplateV [columnName=" + columnName + ", dataType=" + dataType + ", colLength=" + colLength
				+ ", isNullable=" + isNullable + "]";
	}

	
	
}
